Ticket #212 (closed defect: wontfix)

Opened 5 years ago

Last modified 3 years ago

Make the Error List available to plugins

Reported by: pshangov Owned by: pshangov
Priority: major Milestone:
Component: editor Version: 0.22
Keywords: Cc: pshangov@…

Description

Currently the Error List is only used for Perl5 errors. It should be made accessible to plugins as well:

  1. Each time a script is run, the Error List should check if the currently executed document provides an error parsing function and if so, use it.
  2. It should also be possible to "borrow" the Error List on demand. For example, if a plugin wants to use the provide error messages from other than the default compiler/interpreter for the relevant language (e.g. Perl::Critic in the case of perl5)
  3. The current GUI implementation of the Error List is heavily tied to the peculiarities of the error messages provided by perl and may not be suited to other languages. So each plugin that uses the Error List should be able to provide its own custom control for use within the Error List tab.
  4. A simple generic control should be provided for plugin authors who want only basic functionality. It could be based on the code from the Syntax Check control.

Change History

comment:1 Changed 3 years ago by zenogantner

  • Status changed from new to closed
  • Resolution set to wontfix

The error list feature was removed from Padre.

Note: See TracTickets for help on using tickets.